Upsert Price List Assignment
Upsert a single `Price List Assignment` for a `Price List`.
**Note:**
* Supports up to 25 simultaneous PUT requests. Running more than the allowed number of requests concurrently on the same store will result in a `429` status error and your additional requests will fail.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Products | modify | `store_v2_products` |
| Products | read-only | `store_v2_products_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
price_list_id
The ID of the Price List requested.
Request
This endpoint expects an object.
customer_group_id
Customer group ID for assignment.
channel_id
Channel ID for assignment
Response
A price list assignment.
data
meta
Response metadata.
Errors
404
Not Found Error